[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: install local deb file

> On Sun, Nov 02, 2003 at 06:50:59PM -0500, Haines Brown wrote:
> > In any case, the dpkg -i <file> does not work. I'll give the
> > specifics:
> > 
> >  # dpkg -i /storage/debs/libdvdcss2.deb
> >  dpkg: error processing /storage/debs/libdvdcss2.deb (--install):
> >   cannot access archive: No such file or directory
> So that file doesn't exist. Are you sure you put it there?

Thanks for the reply. It turned out that the command had to be issued
in that directory, apparently, not by supplying the path. Once I did
that, it went OK, except that the package had an unmet dependency.

The .deb extension should not be present. The comand # aptitude
install <packagename> works the same, except the error message is
phrased a little differently. 

So I went to install the dependency (libc6 at version at least
2.3.2-1), and I found it is testing (currently libc6-dev 2.3.2-9). So
I tried to cook up an address for testing in /etc/apt/sources.list,
but my efforts failed, so instead I downloaded the .deb file

Now when I try # aptitude install libc6=2.3.2-9, I'm back where I

	 libc6=2.3.2-9 (can't find the 2.3.2-9 version for libc6)
	 libc6-dev=2.3.2-9 (can't find this version for libc6-dev)
	 libc6=2.3.2-9_i386 (can't find 2.3.2-9_i386 version)

and other combinations. I tried dpkg -i, and it said it could not
access the archive. But when I tried dpbg -i on another .deb in my
/storage/debs directory, it said it could not find it. That is a
slighly different reponse, and I'm at a loss.


Reply to: